# 32/64 spec
#
Summary:	Midi, Audio and Notation Editor
Summary(de):	Midi-, Audio-und Notation Editor
Name:		rosegarden
Version:	16.02
Release:	%mkrel 1
Source:		%{name}-%{version}.tar.xz
Patch0:         %{name}-1.9-fix-include.patch
License:	GPLv2+
Group:		Sound
URL:		http://www.rosegardenmusic.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cmake
BuildRequires:	makedepend
BuildRequires:	qt4-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	libjack-devel
BuildRequires:	ladspa-devel
BuildRequires:	dssi-devel
BuildRequires:	%{_lib}lo-devel
BuildRequires:	%{_lib}lirc-devel
BuildRequires:	%{_lib}lrdf2-devel
BuildRequires:	libfftw-devel
BuildRequires:	%{_lib}samplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	perl
BuildRequires:	bash
BuildRequires:	desktop-file-utils
Requires:	TiMidity++
Requires:	timidity-patch-freepats
Requires:	qjackctl
Requires:	flac
Requires:	wavpack
Requires:	dssi
Requires:	ladspa

%description
Rosegarden is an attractive, user-friendly MIDI and audio sequencer, notation editor,
and general-purpose music composition and editing application for Unix and Linux.
#german
%descfription -l de
Rosegarden ist ein attraktiver, benutzerfreundlicher Audio-und MIDI-Sequenzer, 
Darstellungs-Editor, sowie für den allgemeine Zweck der Musik-Komposition und 
Bearbeitung für Unix und Linux Anwendungen. 

%prep
%setup -q
%patch0 -p0
perl -lpi -e 's#MACRO_HERE#'%{_libdir}'#g' acinclude.m4

%build
%cmake_qt4
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

# install some extra files
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr \
        data/autoload \
        data/chords \
        data/examples \
        data/fonts \
        data/library \
        data/pixmaps \
        data/presets \
        data/profile \
        data/styles \
        data/templates \
        %{buildroot}%{_datadir}/%{name}





#menu for all desktops
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_iconsdir/*/*/*/*%{name}*
%_datadir/mime/packages/%{name}.xml
%_datadir/appdata/%{name}.appdata.xml
%{_datadir}/%{name}


%changelog
* Fri Mar 11 2016 ghostbunny <ghostbunny at gmx dot de> 16.02-1pclos2016
- 16.02
- switch to cmake build system
- remove patch2 does not apply because of the build system change
- add missing BR desktop-file-utils

* Thu Jul 09 2015 gseaman <galen.seaman at comcast.net> 14.12-1gseaman2015
- 14.12

* Sat Sep 14 2013 pinoc <vogtpet at gmail.com> 13.06-1pclos2013
- 13.06

* Thu May 17 2012 Neal <nealbrks0 at gmail dot com> 12.04-2pclos2012
- process

* Thu May 17 2012 leiche <meisssw01 at gmail.com> 12.04-2pclos2012
- move missing depend lilypond

* Wed May 16 2012 leiche <meisssw01 at gmail.com> 12.04-1pclos2012
- 12.04
- add german description

* Thu Nov 11 2010 Chomp <chomptheman@gmail.com> 11.02-1pclos2010
- build for 2010
